VERSION 5.00
Object = "{9DC38830-6838-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGEDISPLAY.DLL"
Object = "{D22FEEE0-7890-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGE.DLL"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4710
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5535
   LinkTopic       =   "Form1"
   ScaleHeight     =   4710
   ScaleWidth      =   5535
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command2 
      Caption         =   "Next Measure"
      Height          =   495
      Left            =   4320
      TabIndex        =   3
      Top             =   3000
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Text            =   "Click on three points in the image. Middle point is the vertex of the angle"
      Top             =   4200
      Width           =   5295
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Exit"
      Height          =   495
      Left            =   4320
      TabIndex        =   1
      Top             =   3600
      Width           =   1215
   End
   Begin ApxImageLibCtl.ApxImage ApxImage1 
      Left            =   1080
      OleObjectBlob   =   "Form1.frx":0000
      Top             =   3000
   End
   Begin ApxImageDisplayLib.ApxImageDisplay ApxImageDisplay1 
      Height          =   3975
      Left            =   120
      OleObjectBlob   =   "Form1.frx":0024
      TabIndex        =   0
      Top             =   120
      Width           =   3975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim OS As ApxOverlaySet
'
Public X0, Y0, X1, Y1, X2, Y2 As Double
Public Iter As Integer
Private Sub ApxImageDisplay1_MouseDown(ByVal button As Integer, ByVal shift As Integer, ByVal X As Single, ByVal Y As Single)
'
 Dim ScreenC As New ApxDCoordinates
 Dim ImageC As New ApxDCoordinates
 Dim EdgeA, EdgeB, EdgeC, Cosin, Theta As Double
'
' Get screen coordinates
'
 ScreenC.X = X
 ScreenC.Y = Y
 Form1.MousePointer = vbCrosshair
 ApxImageDisplay1.MapScreenPtToImagePt ScreenC, ImageC
'
 If Iter = 0 Then
    Text1.Text = "Click on three points"
    Set OS = New ApxOverlaySet
    ApxImageDisplay1.AddOverlaySet OS
'
' Save coordinates in X0, Y0 (1st extremity)
'
    X0 = ImageC.X
    Y0 = ImageC.Y
 End If
'
 If Iter = 1 Then
'
' Save coordinates in X1, Y1 (2nd extremity)
'
   X1 = ImageC.X
   Y1 = ImageC.Y
'
' Draw the line
'
   OS.AddLine X0, Y0, X1, Y1
   ApxImageDisplay1.Redraw
 End If
'
 If Iter = 2 Then
'
' Save coordinates in X2, Y2 (3nd extremity)
'
   X2 = ImageC.X
   Y2 = ImageC.Y
'
' Draw the line
'
   OS.AddLine X1, Y1, X2, Y2
   ApxImageDisplay1.Redraw
 End If
'
 Iter = Iter + 1
 If Iter >= 3 Then
   Form1.MousePointer = vbArrow
   Text1.Text = "Compute the Angle here"
   EdgeA = ((X2 - X0) * (X2 - X0)) + ((Y2 - Y0) * (Y2 - Y0))
   EdgeB = ((X2 - X1) * (X2 - X1)) + ((Y2 - Y1) * (Y2 - Y1))
   EdgeC = ((X1 - X0) * (X1 - X0)) + ((Y1 - Y0) * (Y1 - Y0))
   Cosin = -0.5 * (EdgeA - EdgeB - EdgeC) / (Sqr(EdgeB) * Sqr(EdgeC))
   Theta = Atn((Sqr(1 - (Cosin * Cosin))) / Cosin)
   Text1.Text = ((180# * Theta) / 3.14159) & "    Degrees"
 End If
'
End Sub
Private Sub Command1_Click()
    End
End Sub
Private Sub Command2_Click()
    Iter = 0
    OS.Clear
End Sub

Private Sub Form_Load()
    ApxImage1.Read "blood.tif"
    ApxImageDisplay1.Content = Me.ApxImage1
    ApxImageDisplay1.ZoomFactor = 1.032
    Iter = 0
'
End Sub
